Databases
Get Database by ID
Retrieves a specific database by ID with complete table definitions.
GET
/
bases
/
{databaseId}
Get database by ID
curl --request GET \
--url https://tables.zite.com/api/v1/bases/{databaseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tables.zite.com/api/v1/bases/{databaseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bad4b276-f604-47ad-86e5-d2ae4f60968f",
"name": "<string>",
"tables": [
{
"id": "<string>",
"name": "<string>",
"order": 123,
"primaryFieldId": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"type": "single_line_text",
"template": {},
"order": 123
}
],
"views": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"config": {
"sorts": [
{}
],
"hiddenFieldIds": [
"<string>"
],
"fieldWidths": {},
"orderedFieldIds": [
"<string>"
]
}
}
],
"url": "https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f/tbl_abc123"
}
],
"createdAt": "2025-10-18T02:08:14.784Z",
"updatedAt": "2025-10-18T02:08:14.784Z",
"url": "https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f",
"workspaceId": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Requested resource does not exist"
}
}- Returns complete database structure including table schemas
- Includes field configurations and view definitions
- Use this endpoint to understand database structure before making changes
Authorizations
Enter your Zite API key. Format: Bearer <api_key>
Path Parameters
The unique identifier of the database
Response
Database details
Unique UUID identifier for the database
Example:
"bad4b276-f604-47ad-86e5-d2ae4f60968f"
Name of the database
List of tables in the database
Show child attributes
Show child attributes
ISO timestamp of when the database was created
Example:
"2025-10-18T02:08:14.784Z"
ISO timestamp of when the database was last updated
Example:
"2025-10-18T02:08:14.784Z"
URL to view this database in the app
Example:
"https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f"
Workspace ID that owns this database
⌘I
Get database by ID
curl --request GET \
--url https://tables.zite.com/api/v1/bases/{databaseId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://tables.zite.com/api/v1/bases/{databaseId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tables.zite.com/api/v1/bases/{databaseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://tables.zite.com/api/v1/bases/{databaseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://tables.zite.com/api/v1/bases/{databaseId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://tables.zite.com/api/v1/bases/{databaseId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://tables.zite.com/api/v1/bases/{databaseId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "bad4b276-f604-47ad-86e5-d2ae4f60968f",
"name": "<string>",
"tables": [
{
"id": "<string>",
"name": "<string>",
"order": 123,
"primaryFieldId": "<string>",
"fields": [
{
"id": "<string>",
"name": "<string>",
"type": "single_line_text",
"template": {},
"order": 123
}
],
"views": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"config": {
"sorts": [
{}
],
"hiddenFieldIds": [
"<string>"
],
"fieldWidths": {},
"orderedFieldIds": [
"<string>"
]
}
}
],
"url": "https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f/tbl_abc123"
}
],
"createdAt": "2025-10-18T02:08:14.784Z",
"updatedAt": "2025-10-18T02:08:14.784Z",
"url": "https://app.zite.com/database/bad4b276-f604-47ad-86e5-d2ae4f60968f",
"workspaceId": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Requested resource does not exist"
}
}